package com.hongyegroup.cpt_rewards.ui.fragment

import android.os.Bundle
import android.view.View
import com.guadou.lib_baselib.base.fragment.BaseVDBLazyLoadingFragment
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.vertical
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_rewards.R
import com.hongyegroup.cpt_rewards.databinding.FragmentMyRewardsActiveBinding
import com.hongyegroup.cpt_rewards.mvvm.MyRewardsExpiredViewModel

class MyRewardsExpiredFragment:BaseVDBLazyLoadingFragment<MyRewardsExpiredViewModel,FragmentMyRewardsActiveBinding>() {

    override fun getDataBindingConfig(): DataBindingConfig {

        return DataBindingConfig(R.layout.fragment_my_rewards_active)

    }

    override fun startObserve() {

    }

    override fun init(savedInstanceState: Bundle?) {

    }

    override fun initViews(view: View) {
        super.initViews(view)

        for (index in 0..8){

            mViewModel.mExpiredRewardsData.add("")

        }

        mBinding.recyclerViewMyRewardsActive.vertical().adapter=mViewModel.mExpiredAdapter
        mViewModel.mExpiredAdapter.notifyDataSetChanged()

    }

    override fun onLazyInitData() {

        CommUtils.getHandler().postDelayed(Runnable {

            showStateSuccess()

        }, 200)

    }
}